Bug 120996 - x11-toolkits/swt-devel: gnomevfs depenency problem
Summary: x11-toolkits/swt-devel: gnomevfs depenency problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 15:50 UTC by Marcin Cieslak
Modified: 2008-03-22 19:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieslak 2008-02-23 15:50:06 UTC
swt-devel compilation fails on Gnome VFS even when WITHOUT_GNOMEVFS is specified

Fix: 

Haven't looked into it yet.
How-To-Repeat: 
Uninstall GNOME VFS, recompile.

Compilation output:

===>  Cleaning for swt-devel-3.4.m2_1,1

 swt-devel is using seamonkey for gecko support, but you can
 change that by defining WITH_GECKO to the following values:

   mozilla 
   firefox 
   seamonkey 

===>  Found saved configuration for swt-devel-3.4.m2_1,1
===>  Extracting for swt-devel-3.4.m2_1,1
=> MD5 Checksum OK for swt-3.4M2-gtk-linux-x86_64.zip.
=> SHA256 Checksum OK for swt-3.4M2-gtk-linux-x86_64.zip.
===>   swt-devel-3.4.m2_1,1 depends on executable: unzip - found
===>  Patching for swt-devel-3.4.m2_1,1
===>  Applying extra patch /usr/ports/x11-toolkits/swt-devel/files/extra-patch-amd64-os.c
===>  Applying FreeBSD patches for swt-devel-3.4.m2_1,1
===>   swt-devel-3.4.m2_1,1 depends on file: /usr/local/jdk1.5.0/bin/java - found
===>   swt-devel-3.4.m2_1,1 depends on file: /usr/local/bin/ant - found
===>   swt-devel-3.4.m2_1,1 depends on file: /usr/local/lib/seamonkey/libgtkembedmoz.so - found
===>   swt-devel-3.4.m2_1,1 depends on file: /usr/local/bin/intltool-extract - found
===>   swt-devel-3.4.m2_1,1 depends on executable: pkg-config - found
===>   swt-devel-3.4.m2_1,1 depends on shared library: GLU.1 - found
===>   swt-devel-3.4.m2_1,1 depends on shared library: atk-1.0.0 - found
===>   swt-devel-3.4.m2_1,1 depends on shared library: glib-2.0.0 - found
===>   swt-devel-3.4.m2_1,1 depends on shared library: gtk-x11-2.0.0 - found
===>   swt-devel-3.4.m2_1,1 depends on shared library: pango-1.0.0 - found
===>  Configuring for swt-devel-3.4.m2_1,1
===>  Building for swt-devel-3.4.m2_1,1
Buildfile: build.xml

init:

build.classes:
    [mkdir] Created dir: /usr/obj/usr/ports/x11-toolkits/swt-devel/work/classes
    [javac] Compiling 511 source files to /usr/obj/usr/ports/x11-toolkits/swt-devel/work/classes
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.

build.nativeLibraries:
     [exec] Building SWT/GTK+ for freebsd amd64
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 -c swt.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 -c c.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 -c c_stats.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 -DUSE_ASSEMBLER -c callback.c
     [exec] gcc -shared -fPIC -s -o libswt-gtk-3410.so swt.o c.o c_stats.o callback.o
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags gtk+-2.0` -c os.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags gtk+-2.0` -c os_structs.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags gtk+-2.0` -c os_custom.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags gtk+-2.0` -c os_stats.c
     [exec] gcc -shared -fPIC -s `pkg-config --libs-only-L gtk+-2.0 gthread-2.0` -lgtk-x11-2.0 -lgthread-2.0 -L/usr/local/lib  -lXtst -o libswt-pi-gtk-3410.so swt.o os.o os_structs.o os_custom.o os_stats.o
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags atk gtk+-2.0` -c atk.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags atk gtk+-2.0` -c atk_structs.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags atk gtk+-2.0` -c atk_custom.c
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags atk gtk+-2.0` -c atk_stats.c
     [exec] gcc -shared -fPIC -s `pkg-config --libs-only-L atk gtk+-2.0` -latk-1.0 -lgtk-x11-2.0 -o libswt-atk-gtk-3410.so swt.o atk.o atk_structs.o atk_custom.o atk_stats.o
     [exec] gcc -O -Wall  -DSWT_VERSION=3410    -DFREEBSD -DGTK  -I/usr/local/jdk1.5.0/include  -I/usr/local/jdk1.5.0/include/freebsd  -I/usr/local/include  -fPIC  -DSWT_PTR_SIZE_64 `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -c gnome.c
     [exec] gnome-config: not found
     [exec] Package gnome-vfs-module-2.0 was not found in the pkg-config search path.
     [exec] Perhaps you should add the directory containing `gnome-vfs-module-2.0.pc'
     [exec] to the PKG_CONFIG_PATH environment variable
     [exec] No package 'gnome-vfs-module-2.0' found
     [exec] gnome-config: not found
     [exec] Package libgnome-2.0 was not found in the pkg-config search path.
     [exec] Perhaps you should add the directory containing `libgnome-2.0.pc'
     [exec] to the PKG_CONFIG_PATH environment variable
     [exec] No package 'libgnome-2.0' found
     [exec] gnome-config: not found
     [exec] Package libgnomeui-2.0 was not found in the pkg-config search path.
     [exec] Perhaps you should add the directory containing `libgnomeui-2.0.pc'
     [exec] to the PKG_CONFIG_PATH environment variable
     [exec] No package 'libgnomeui-2.0' found
     [exec] In file included from gnome_structs.h:16,
     [exec]                  from gnome.c:17:
     [exec] gnome.h:23:31: error: libgnome/libgnome.h: No such file or directory
     [exec] gnome.h:24:36: error: libgnome/gnome-program.h: No such file or directory
     [exec] gnome.h:25:35: error: libgnomeui/libgnomeui.h: No such file or directory
     [exec] gnome.h:26:35: error: libgnomevfs/gnome-vfs.h: No such file or directory
     [exec] gnome.h:27:40: error: libgnomevfs/gnome-vfs-mime.h: No such file or directory
     [exec] gnome.h:28:49: error: libgnomevfs/gnome-vfs-mime-handlers.h: No such file or directory
     [exec] gnome.h:29:45: error: libgnomevfs/gnome-vfs-mime-info.h: No such file or directory
     [exec] In file included from gnome.c:17:
     [exec] gnome_structs.h:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
     [exec] gnome_structs.h:21: error: expected declaration specifiers or '...' before 'GnomeVFSMimeApplication'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME_GnomeVFSMimeApplication_1sizeof':
     [exec] gnome.c:28: error: 'GnomeVFSMimeApplication' undeclared (first use in this function)
     [exec] gnome.c:28: error: (Each undeclared identifier is reported only once
     [exec] gnome.c:28: error: for each function it appears in.)
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1g_1free':
     [exec] gnome.c:39: warning: implicit declaration of function 'g_free'
     [exec] gnome.c:39: error: 'gpointer' undeclared (first use in this function)
     [exec] gnome.c:39: error: expected ')' before 'arg0'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1g_1list_1append':
     [exec] gnome.c:50: warning: implicit declaration of function 'g_list_append'
     [exec] gnome.c:50: error: 'GList' undeclared (first use in this function)
     [exec] gnome.c:50: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1g_1list_1free':
     [exec] gnome.c:61: warning: implicit declaration of function 'g_list_free'
     [exec] gnome.c:61: error: 'GList' undeclared (first use in this function)
     [exec] gnome.c:61: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1g_1list_1next':
     [exec] gnome.c:72: warning: implicit declaration of function 'g_list_next'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1g_1object_1unref':
     [exec] gnome.c:83: warning: implicit declaration of function 'g_object_unref'
     [exec] gnome.c:83: error: 'gpointer' undeclared (first use in this function)
     [exec] gnome.c:83: error: expected ')' before 'arg0'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1icon_1lookup':
     [exec] gnome.c:102: warning: implicit declaration of function 'gnome_icon_lookup'
     [exec] gnome.c:102: error: 'GnomeIconTheme' undeclared (first use in this function)
     [exec] gnome.c:102: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1icon_1theme_1lookup_1icon':
     [exec] gnome.c:123: warning: implicit declaration of function 'gnome_icon_theme_lookup_icon'
     [exec] gnome.c:123: error: 'GnomeIconTheme' undeclared (first use in this function)
     [exec] gnome.c:123: error: expected expression before ')' token
     [exec] *** Error code 1
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1icon_1theme_1new':
     [exec] 
     [exec] gnome.c:138: warning: implicit declaration of function 'gnome_icon_theme_new'
     [exec] Stop in /usr/obj/usr/ports/x11-toolkits/swt-devel/work.
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1get_1registered_1mime_1types':
     [exec] gnome.c:150: warning: implicit declaration of function 'gnome_vfs_get_registered_mime_types'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1init':
     [exec] gnome.c:162: warning: implicit declaration of function 'gnome_vfs_init'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1make_1uri_1from_1input':
     [exec] gnome.c:176: warning: implicit declaration of function 'gnome_vfs_make_uri_from_input'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1application_1free':
     [exec] gnome.c:222: warning: implicit declaration of function 'gnome_vfs_mime_application_free'
     [exec] gnome.c:222: error: 'GnomeVFSMimeApplication' undeclared (first use in this function)
     [exec] gnome.c:222: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1application_1launch':
     [exec] gnome.c:239: error: expected ')' before '*' token
     [exec] gnome.c:240: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'fptr'
     [exec] gnome.c:240: error: 'fptr' undeclared (first use in this function)
     [exec] gnome.c:244: error: 'FPTR' undeclared (first use in this function)
     [exec] gnome.c:244: error: expected ';' before 'dlsym'
     [exec] gnome.c:248: error: 'GnomeVFSMimeApplication' undeclared (first use in this function)
     [exec] gnome.c:248: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1extensions_1list_1free':
     [exec] gnome.c:261: warning: implicit declaration of function 'gnome_vfs_mime_extensions_list_free'
     [exec] gnome.c:261: error: 'GList' undeclared (first use in this function)
     [exec] gnome.c:261: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1get_1default_1application':
     [exec] gnome.c:274: warning: implicit declaration of function 'gnome_vfs_mime_get_default_application'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1get_1extensions_1list':
     [exec] gnome.c:288: warning: implicit declaration of function 'gnome_vfs_mime_get_extensions_list'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1registered_1mime_1type_1list_1free':
     [exec] gnome.c:299: warning: implicit declaration of function 'gnome_vfs_mime_registered_mime_type_list_free'
     [exec] gnome.c:299: error: 'GList' undeclared (first use in this function)
     [exec] gnome.c:299: error: expected expression before ')' token
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME__1gnome_1vfs_1mime_1type_1from_1name':
     [exec] gnome.c:312: warning: implicit declaration of function 'gnome_vfs_mime_type_from_name'
     [exec] gnome.c: In function 'Java_org_eclipse_swt_internal_gnome_GNOME_memmove':
     [exec] gnome.c:353: error: 'GnomeVFSMimeApplication' undeclared (first use in this function)
     [exec] gnome.c:353: error: expected ';' before '_arg0'
     [exec] gnome.c:355: error: 'lparg0' undeclared (first use in this function)
     [exec] gnome.c:355: error: '_arg0' undeclared (first use in this function)
     [exec] gnome.c:358: error: too many arguments to function 'setGnomeVFSMimeApplicationFields'

BUILD FAILED
/usr/obj/usr/ports/x11-toolkits/swt-devel/work/build.xml:52: exec returned: 1

Total time: 22 seconds
*** Error code 1

Stop in /usr/ports/x11-toolkits/swt-devel.
*** Error code 1

Stop in /usr/ports/x11-toolkits/swt-devel.
Comment 1 Edwin Groothuis freebsd_committer 2008-02-23 15:50:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Marcin Cieslak 2008-02-24 02:31:22 UTC
A simple fix that worked for me (with and without cairo):

http://akson.sgh.waw.pl/~saper/FreeBSD/ports/swt-devel/pr120996fix.diff
-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 3 Olivier 2008-03-01 23:31:59 UTC
Same problem with x11-toolkits/swt when gnomevfs isn't installed and
building WITHOUT_GNOMEVFS.

-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 4 Andrey Slusar freebsd_committer 2008-03-22 19:45:40 UTC
State Changed
From-To: feedback->open

Maintainer reset
Comment 5 Andrey Slusar freebsd_committer 2008-03-22 19:45:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

I'll take it.
Comment 6 dfilter service freebsd_committer 2008-03-22 19:46:50 UTC
anray       2008-03-22 19:46:45 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/swt/files patch-make_freebsd.mak 
  Log:
  - Fix build without gnomevfs
  
  PR:             ports/120996
  Submitted by:   Marcin Cieslak <saper@system.pl>
  
  Revision  Changes    Path
  1.4       +7 -4      ports/x11-toolkits/swt/files/patch-make_freebsd.mak
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2008-03-22 19:47:08 UTC
anray       2008-03-22 19:47:03 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/swt-devel/files patch-make_freebsd.mak 
  Log:
  - Fix build without gnomevfs
  
  PR:             ports/120996
  Submitted by:   Marcin Cieslak <saper@system.pl>
  
  Revision  Changes    Path
  1.5       +7 -4      ports/x11-toolkits/swt-devel/files/patch-make_freebsd.mak
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Andrey Slusar freebsd_committer 2008-03-22 19:47:56 UTC
State Changed
From-To: open->closed

Commited to swt and swt-devel ports. Thanks!